html {
    min-height: 100%;
    position: relative;
}

:root{
    --color-dark: #2b2b2b;
    --color-light: white;
}

body {
    transition: all .3s;
    background-color: var(--color-light);
    margin: 0;
  	margin-bottom: 10%;
}
body::-webkit-scrollbar{
    width:auto;
}

body::-webkit-scrollbar-thumb {
    background-color: var(--color-dark);
    -webkit-box-shadow: inset 0 0 6px var(--color-dark);
    opacity: 0.5;
}

body::-webkit-scrollbar-track {
    -webkit-box-shadow: inset 0 0 6px var(--color-dark);
    opacity: 0.5;
}

*{
    cursor: url(http://cur.cursors-4u.net/nature/nat-10/nat967.cur), auto !important;
}

ul, ol {
    list-style: none;
    z-index: 10;
}

nav {
    display: flex;
    justify-content: flex-end;
    align-items: flex-end;
}

.changeimg2{
    display: none;
}

.menu{
    margin: 0;
}

.menu li{
    margin: 0;
}

.menu li a {
    width: 50px;
    height: 50px;
    color: white;
    text-decoration: none;
    padding: 3px 3px;
    display: block;
    margin: 0;
    transition: all .3s;
    border-style: solid;
    border-width: 3px;
    border-color: var(--color-light);
    font-size: 3rem;
    text-align: center;
    background-color: var(--color-dark);
}

.menu li a:hover {
    transition: all .2s;
    border-radius: 50%;
    background-color: var(--color-light);
}

.menu li a:hover > .menubuts {
    color: var(--color-dark);
}

.menubuts{
    transition: all .3s;
    color: var(--color-light);
}

.menu > li {
    float: right;
}

.tabla nav .menu{
    padding-left: 0;
}

.tabla nav{
    margin-left: 0 !important;
    padding-left: 0 !important;
    padding-top: 2em;
    display: flex;
    justify-content: center;
}

.titlediv .menu li a{
    width: 35px;
    height: 35px;
    font-size: 2.5rem;
    padding: 0;
}

.titlediv nav{
    width: 3em;
    display: flex;
    justify-content: flex-end;
}

#menudesplegable{
	width: 100%;
	height: 0;
	float: left;
	transition: all .3s;
	display: none;
	align-items: center;
	justify-content: center;
}

.butmenuabierto{
	cursor: pointer;
}

.butmenuabierto{
	background-color: var(--color-light);
	padding: 0;
	margin: 0;
	transition: all .5s;
}

.butmenuabierto{
	width: 12%;
	height: 0;
    border: 0;
    transition: all .2s;
    border-style: solid;
    font-family: fantasy;
    font-size: 1.7em;
}

.butmenuabierto{
    transition: all .3s;
    background-color: var(--color-dark);
    border-color: green;
    border-style: solid;
    color: var(--color-light);
}

.butmenuabierto:hover{
	background-color: var(--color-light);
    border-color: var(--color-light);
    border-style: solid;
    color: var(--color-dark);
}

#colors{
    width: 100%;
    height: 2.5rem;
    display: flex;
    justify-content: center;
}

.butcolor{
    height: 2.5rem;
    width: 2.5rem;
    border: 1px;
    border-style: solid;
    border-radius: 0.3em;
    outline: none;
}

#white{
    border-color: #2b2b2b;
    background-color: white;
}

#black{
    border-color: white;
    background-color: #2b2b2b;
    display: none;
}

.content{
	width: 100%;
	height: 100%;
	position: absolute;
    z-index: -1;
    display: flex;
    justify-content: center;
}

aside{
	width: 400px;
	background-color: var(--color-light);
	opacity: 0.9;
	margin-top: 7.5%;
	text-align: left;
	padding-top: 2%;
	padding-bottom: 4%;
	display: none;
	position: absolute;
	border-style: double;
	border-color: var(--color-dark);
	border-width: 5px;
	z-index: 100;
    max-width: 90%;
    min-width: 400px;
}

.productaside{
	width: 400px;
	background-color: var(--color-light);
	opacity: 0.9;
	margin-top: 7.5%;
	text-align: left;
	padding-top: 2%;
	padding-bottom: 4%;
	display: none;
	position: fixed;
	border-style: double;
	border-color: var(--color-dark);
	border-width: 5px;
	z-index: 100;
    max-width: 90%;
    min-width: 400px;
}

.closeform{
	width: 3.5em;
	height: 3.5em;
	background-color: var(--color-light);
	border-radius: 50% 50%;
	border-style: double;
	border-color: var(--color-dark);
	border-width: 5px;
	position: absolute;
	float: right;
	cursor: pointer;
	display: flex;
	align-items: center;
	justify-content: center;
	font-weight: bold;
	top: -3%;
	right: -4%;
	transition: all .5s;
}

.closeform:hover{
	background-color: var(--color-dark);
	border-style: double;
	border-color: var(--color-light);
	color: var(--color-light);
	border-width: 5px;
}

.closeform:hover > h2{
	color: var(--color-light);
}

.h1form{
    transition: all .3s;
	padding-bottom: 3%;
	font-size: 4em;
	text-align: center;
    color: var(--color-dark);
}

.h1product{
	padding-bottom: 3%;
	font-size: 4em;
	text-align: center;
    color: green;
}

b{
    color: green;
}

.textproduct{
    transition: all .3s;
    margin-left: 3%;
    margin-top: 7%;
    font-weight: bold;
    color: var(--color-dark);
}

.h2form{
    transition: all .3s;
	margin-top: 30%;
    color: var(--color-dark);
}

.h2form:hover{
    color: var(--color-light);
}

.labelform{
	margin-left: 13%;
	font-size: 1.5em;
    font-weight: bold;
    color: var(--color-dark);
}

.labelform input, .labelform select{
    transition: all .3s;
	width: 87%;
	height: 2em;
	margin-top: -0.7%;
	margin-right: 13%;
	float: right;
	font-size: 1em;
    font-weight: normal;
	border-style: solid;
	border-color: gray;
	border-width: 1px;
    border-top-style: none;
    border-left-style: none;
    border-right-style: none;
    margin-bottom: 6%;
    outline: none;
    background-color: var(--color-light);
}

#inputsform{
	margin-bottom: 18%;
}

#incorrect{
    margin-left: 10%;
    margin-right: 10%;
    margin-top: 2%;
    font-size: 1.1em;
    color: darkred;
    visibility: hidden;
}

.envio, .borrar{
	cursor: pointer;
}

.input, .envio, .borrar{
	background-color: #EFEFEF;
	padding: .5rem;
	margin: .3rem 0;
	transition: all .5s;
    background-color: black;
}

.envio, .borrar {
	width: 40%;
    border: 1px;
    border-color: black;
    border-style: solid;
	background-color: white;
	color: black;
    font-family: fantasy;
    font-size: 1em;
}

.borrar {
    background-color: white;
    border: 1px;
    border-color: black;
    border-style: solid;
    color: black;
}

.envio:hover {
	background-color: black;
    border: 1px;
    border-color: white;
    border-style: solid;
    color: white;
}

.borrar:hover{
	background-color: black;
    border: 1px;
    border-color: white;
    border-style: solid;
    color: white;
}

.labelfinal{
    transition: all .3s;
	margin-top: 7%;
	margin-left: 10%;
	margin-right: 10%;
	font-size: 1.1em;
    color: var(--color-dark);
}

.but{
	color: darkblue;
	text-decoration: none;
	cursor: pointer;
}

.but:hover{
	color: blue;
	text-decoration: none;
}

.jumbotron{
    background-color: #098336;
    color: white;
    text-align: right;
}

.panel-heading{
    background-color:#098336 !important;
    color: white !important;
}

.navbar{
    transition: all .3s;
    background-color: var(--color-dark);
    width: 100%;
    top: 0;
}

.navbar-brand:link, navbar-brand:visited {
    color: #00A90F !important;
}

.navbar-brand:hover , navbar-brand :active {
    color:#00A90F !important; 
}

#navbar li a:link,  #navbar li a:visited  {
    color: #00A90F !important;
}

.nav li a:hover, #navbar li a:active  {
    color: #00A90F !important;
}

.nav li a  {
    transition: all .3s;
    color: var(--color-light) !important;
}

.imgg{
	width: 20rem;
	height: 15rem;
}

.productos{
    width: 27.3%;
    margin: 0 3% 3% 3%;
    float: left;
	border-style: double;
	border-color: green;
	border-width: 5px;
    color: green;
}

.butproduct{
	cursor: pointer;
}

.butproduct{
	background-color: white;
	padding: .5rem;
	margin: .3rem 0;
	transition: all .5s;
    background-color: green;
}

.butproduct {
	width: 40%;
    border: 1px;
    border-color: green;
    border-style: solid;
	background-color: white;
	color: white;
    font-family: fantasy;
    font-size: 0.8em;
}

.butproduct {
    background-color: white;
    border: 1px;
    border-color: green;
    border-style: solid;
    color: green;
}

.butproduct:hover{
	background-color: green;
    border: 1px;
    border-color: white;
    border-style: solid;
    color: white;
}

.button{
	display: flex;
    justify-content: center;
    cursor: pointer;
	padding-top: 5px;
	margin-left: 50px;
    cursor: url(http://cur.cursors-4u.net/nature/nat-10/nat966.ani), url(http://cur.cursors-4u.net/nature/nat-10/nat966.gif), auto !important; 
}

.boton1:hover{
	cursor: pointer;
	background: linear-gradient(#00A90F,#00BDB9);
}

.boton1{
     
	width:250px; 
	height:50px;
	color: #000000;
    cursor: url(http://cur.cursors-4u.net/nature/nat-10/nat966.ani), url(http://cur.cursors-4u.net/nature/nat-10/nat966.gif), auto !important; 
}

.imagen{
	width: 150px;
	height: 120px;
    margin-top: 1%;
    margin-bottom: 1%;
    margin-left: 2%;
}

.credito{
    transition: all .3s;
	width: 100%;
	background-color: var(--color-dark);
    position: absolute;
    bottom: 0;
    z-index: 9999;
}

.modalDialog {
	position: fixed;
	font-family: Arial, Helvetica, sans-serif;
	top: 0;
	right: 0;
	bottom: 0;
	left: 0;
	background: rgba(0,0,0,0.8);
	opacity:0;
	-webkit-transition: opacity 400ms ease-in;
	-moz-transition: opacity 400ms ease-in;
	transition: opacity 400ms ease-in;
	pointer-events: none;
}

.modalDialog:target {
	opacity:1;
	pointer-events: auto;
}

.modalDialog > div {
	width: 600px;
	position: relative;
	margin: 10% auto;
	padding: 5px 20px 13px 20px;
	border-radius: 10px;
	background: #fff;
	background: -moz-linear-gradient(#fff, #999);
	background: -webkit-linear-gradient(#fff, #999);
	background: -o-linear-gradient(#fff, #999);
    -webkit-transition: opacity 400ms ease-in;
    -moz-transition: opacity 400ms ease-in;
    transition: opacity 400ms ease-in;
}

.imagen1{
	width: 400px;
	height: 350px;
}

.derechosarcan{
    transition: all .3s;
    margin-top: 1%;
    margin-right: 3%;
    float: right;
    font-size: 1.7em;
    color: var(--color-light);
}

.tabla{
	width: 100%;
	background-color: green;
	padding-bottom: 3%;
	position: relative;
	z-index: 9999;
}

.tablacontainer{
    width: 95%;
    padding-top: 3%;
    margin-left: 1%;
	margin-right: 1%;
    margin-bottom: 0;
	overflow-y:auto;
}

.tabla2{
    width: 100%;
}

#container{
    margin-bottom: 20%;
}

.tablainv{
    display: flex;
    justify-content: center;
    overflow-y: hidden;
}

.tablasinventario{
    margin-left: 2rem;
    margin-right: 2rem;
}

#cantprod{
    border: 1px;
    border-style: solid;
    border-color: var(--color-dark);
}

#cantprod thead{
    border-bottom-style: none;
}

#cantprod tr td{
    padding: 10px 20px;
    border-style: none;
}

table{
    transition: all .3s;
	background-color: var(--color-light);
}

td{
	border-bottom: solid 1px var(--color-dark);
	padding: 20px;
    color: var(--color-dark);
}

th{
    transition: all .3s;
	padding: 20px;
    color: var(--color-light);
}

thead{
    transition: all .3s;
	background-color: var(--color-dark);
	border-bottom: solid 5px var(--color-light); 
	color: white;
}

.rowtable:hover{
	background-color: var(--color-dark);
    color: var(--color-light) !important;
}

.rowtable:hover > td{
    color: var(--color-light) !important;
}

#todo{
    height: 100%;
}

.bienvenida{
    width: 1300px;
    margin-left: auto;
    margin-right: auto;
    background-image: url(img/img1.jpg);
    background-position: center;
    background-size: 100% 100%;
    padding-top: 20rem;
    padding-bottom: 21rem;
    max-width: 90%;
    max-height: 5rem;
    margin-top: 2.5rem;
}

.bienvenidatabla{
    transition: all .3s;
    width: 1300px;
    margin-left: auto;
    margin-right: auto;
    background-size: 100% 100%;
    padding-bottom: 21rem;
    max-width: 90%;
    max-height: 5rem;
    margin-top: 2.5rem;
    background-color: var(--color-dark);
}

.backlogo{
    transition: all .3s;
    width: 100%;
    height: 21rem;
    background-color: var(--color-dark);
    opacity: 0.9;
    padding-left: 5%;
    padding-right: 5%;
    padding-top: 2.5%;
}

.p{
    transition: all .3s;
    float: right;
    color: var(--color-light);
}

.name{
    font-size: 3em;
}

.contenido{
    transition: all .3s;
    width: 1300px;
    margin-left: auto;
    margin-right: auto;
    background-color: var(--color-dark);
    background-position: center;
    background-size: 100% 100%;
    max-width: 90%;
    margin-top: 2.5rem;
    color: var(--color-light);
}

.titlediv{
    transition: all .3s;
    width: 100%;
    height: 5rem;
    border: 1px;
    border-color: var(--color-dark);
    border-style: solid;
    background-color: green;
    padding-left: 2.5%;
    display: flex;
    align-items: center;
    font-size: 2rem;
    color: var(--color-dark);
}

.textdiv{
    width: 100%;
    border: 1px;
    padding: 2.5%;
    display: flex;
    align-items: center;
    font-size: 2rem;
}

#formcontacto{
    margin-bottom: 10%;
    display: flex;
    justify-content: center;
}

::placeholder{
    color: gray;
}

.form__reg {
	padding: 0 2rem;
	display: flex;
	flex-direction: column;
	justify-content: center;
    color: var(--color-dark);
    padding-bottom: 3%;
}

.btn__form {
	display: flex;
	justify-content: space-around;
	margin-top: 1rem;
}

.input, .btn__submit, .btn__reset{
	padding: .5rem;
	margin: .3rem 0;
	transition: all .5s;
    background-color: var(--color-light);
}

.input{
    color: var(--color-dark);
    border: solid green .2rem;
}

textarea[name=mensaje]{
    width: 35rem;
    height: 17rem;
    max-width: 35rem;
    min-width: 35rem;
    max-height: 17rem;
    min-height: 17rem;
}

.btn__submit, .btn__reset {
    transition: all .3s;
	width: 40%;
    border: 1px;
    border-color: var(--color-dark);
    border-style: solid;
	background-color: var(--color-light);
	color: var(--color-dark);
    font-family: fantasy;
    font-size: 1em;
}

.btn__reset {
    transition: all .3s;
    background-color: var(--color-light);
    border: 1px;
    border-color: var(--color-dark);
    border-style: solid;
    color: var(--color-dark);
}

.btn__submit:hover {
    transition: all .3s;
	background-color: var(--color-dark);
    border: 1px;
    border-color: var(--color-light);
    border-style: solid;
    color: var(--color-light);
}

.btn__reset:hover{
    transition: all .3s;
	background-color: var(--color-dark);
    border: 1px;
    border-color: var(--color-light);
    border-style: solid;
    color: var(--color-light);
}

.icotitle{
    margin-right: 1%;
}

.ir-arriba {
	display:none;
	padding:10px;
	background:#025917;
	font-size:20px;
	color:white;
	cursor:pointer;
	position: fixed;
	bottom:20%;
    margin-left: -4.5rem;
    z-index: 99999;
    border: 1px;
    border-color: var(--color-dark);
    border-style: solid;
}

.ir-arriba:hover {
    transition: all .2s;
	background:#059428;
}

.formico{
    position: absolute;
    color: gray;
    margin-left: 0.8rem;
    margin-top: 0.6rem;
    font-size: 2rem;
}

.forminp{
    padding-left: 3.4rem;
}


.labelform input:focus {
    border-bottom: 2px !important;
    border-bottom-style: solid !important;
    border-color: var(--color-dark);
    outline: 0;
}

.labelform input:focus + i {
    color: var(--color-dark);
}

.glass{
    position: absolute;
    color: gray;
    margin-left: 0.8rem;
}

#busqueda{
    background-color: var(--color-light);
    padding-left: 3rem;
    border-color: gray;
    border-style: solid;
    color: green;
    border-radius: 10rem;
    outline: none;
}

#busqueda:focus + i{
    color: green;
}

#busqueda:focus{
    color: var(--color-dark);
    border-color: green;
}

.infouser{
    text-align: left;
}

.infouser b{
    color: white !important;
    position: absolute;
    padding-left: 2%;
    padding-top: 1%;
}

.infouser:hover{
    background-color: darkgreen;
}

.infouser i a{
    color: white !important;
    font-style: normal;
    text-decoration: none;
}

.infouser i a i{
    color: white !important;
    font-style: normal;
}

.infouser:hover i a > i{
    text-decoration: underline;
}

.infouser:hover i a > .icopen{
    visibility: visible;
}

.icopen{
    visibility: hidden;
}

.data{
    padding-top: 1%;
    padding-bottom: 1%;
    border-bottom: 1px;
    border-bottom-style: solid;
    border-color: gainsboro;
    padding-left: 20rem;
    font-style: italic;
    color: white;
    width: 100%;
}

.edit{
    padding-top: 1%;
    padding-bottom: 1%;
    position: absolute;
    right: 5rem;
}

.data input[type=text], .data input[type=date], .data input[type=email], .data input[type=password]{
    transition: all .3s;
	width: 30%;
	height: 2em;
	margin-top: 1%;
	font-size: 1em;
    font-weight: normal;
	border-style: solid;
	border-color: var(--color-light);
	border-width: 1px;
    border-top-style: none;
    border-left-style: none;
    border-right-style: none;
    outline: none;
    background-color: darkgreen;
}

.acepbut {
    transition: all .3s;
	width: 10%;
    border: 1px;
    margin-top: 1%;
    border-color: var(--color-dark);
    border-style: solid;
	background-color: var(--color-light);
	color: var(--color-dark);
    font-family: fantasy;
    font-size: 1em;
    background-color: var(--color-light);
	padding: .5rem;
    cursor: pointer;
    transition: all .5s;
}

.acepbut:hover {
	background-color: var(--color-dark);
    border: 1px;
    border-color: var(--color-light);
    border-style: solid;
    color: var(--color-light);
}

.change {
    width: auto;
    height: 0;
	display: none;
    transition: all .5s;
    color: white;
}

#name{
    border-top: 2px;
    border-top-style: solid;
    border-top-color: var(--color-light);
}

.borderbot{
    border-style: none;
}

#pass{
    border-bottom: 2px;
    border-bottom-style: solid;
    border-bottom-color: var(--color-light);
}
hr{
    margin-top: -0.6em;
    border-style: solid;
    border-width: 2px;
    transform: rotate(-50deg);
} 
.icon-eye{
    position: absolute;
    margin-top: 1.3rem;
    margin-left: -2.5rem;
    font-size: 1.3em;
}

.icochange{
    font-size: 5rem;
    margin-top: 2%;
    position: absolute;
}

.fecha{
    margin: 1em 1em 0 0;
    float: right;
    color: var(--color-light);
    font-weight: bold;
}